/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb.timer;

import java.lang.reflect.Method;
import javax.ejb.EJBException;
import javax.ejb.TimedObject;
import javax.ejb.Timer;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class TimedObjectMethod {
    public static final Method TimeOut;

    static {
        try {
            TimeOut = TimedObject.class.getMethod("ejbTimeout", new Class[]{Timer.class});
        }
        catch(Exception e) {
            e.printStackTrace();
            throw new EJBException(e);
        }
    };

    public static void main(String[] args) {

    }
}
